//
// $Id: Hello.cpp 76589 2007-01-25 18:04:11Z elliott_c $
//
#include "Hello.h"

ACE_RCSID(Hello, Hello, "$Id: Hello.cpp 76589 2007-01-25 18:04:11Z elliott_c $")

Hello::Hello (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

char *
Hello::get_string (void)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  ACE_DEBUG ((LM_DEBUG, "in get_string\n"));
  return CORBA::string_dup ("Hello there!");
}

void
Hello::shutdown (void)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  this->orb_->shutdown (0);
  ACE_DEBUG ((LM_DEBUG,"in shutdown\n"));
}
